Create tenant
Analytics Events
/v1/tenantsCreates a new tenant in the requested environment.
Analytic events
- TENANT_CREATE_START
- TENANT_CREATE_SUCCESS
- TENANT_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
Friendly and/or meaningful name for your new tenant.
Subdomain for your tenant within requested environment. Only lower case alphanumeric characters (a-z, 0-9) and hyphens are allowed.
Unique identifier of the environment where you want to create your tenant. This can be obtained by retrieving environments.
Response Body
application/json
application/json
text/plain
curl -X POST "https://manage.mattr.global/v1/tenants" \ -H "Content-Type: application/json" \ -d '{ "subdomain": "my-tenant", "environmentId": "84ca6f53-5405-4413-a6ad-848b781807e7" }'{
"id": "86cb97a9-5e80-4ed7-af13-a170752bb1ea",
"name": "My Tenant",
"subdomain": "my-tenant.vii.au01.mattr.global",
"environment": {
"id": "fa605282-0223-4ae0-831d-af368bc39a55",
"name": "MATTR Public Sydney, Australia",
"domain": "vii.au01.mattr.global",
"authorizationServerDomain": "manage.auth.auth0.com",
"deploymentModel": "public",
"region": {
"id": "70bb433a-f0ec-4297-ad76-3b09c71311f3",
"name": "AU01",
"displayName": "Sydney, Australia"
}
},
"membership": {
"roles": [
"dts-provider",
"issuer"
]
},
"client": {
"clientId": "suC7IhmDIawnlqBlEOuIqBWoqppcdI5",
"clientSecret": "QmtShBH3mkO05ra91dNO-YyPwPbfs1iokh57IgqhzVWTAZlolCdeAGYOG2kz1"
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}"Unauthorized"How would you rate this page?
Retrieve environments GET
Retrieves a list of all available environments. ### **Analytic events** * ENVIRONMENT_RETRIEVE_LIST_START * ENVIRONMENT_RETRIEVE_LIST_SUCCESS * ENVIRONMENT_RETRIEVE_LIST_FAIL
Retrieve tenants GET
Retrieves a list of all available tenants. If you haven't created any tenants, the response will include an empty array. ### **Analytic events** * TENANT_RETRIEVE_LIST_START * TENANT_RETRIEVE_LIST_SUCCESS * TENANT_RETRIEVE_LIST_FAIL